petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPartitionerCreate

Creates an empty PetscPartitioner object. The type can then be set with PetscPartitionerSetType().

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerCreate(MPI_Comm comm, PetscPartitioner *part)

Collective on MPI_Comm Many br

### Input Parameter

comm -The communicator for the PetscPartitioner object Many br

### Output Parameter

part -The PetscPartitioner object Many br

Many br

### See Also

PetscPartitionerSetType(), PETSCPARTITIONERCHACO, PETSCPARTITIONERPARMETIS, PETSCPARTITIONERSHELL, PETSCPARTITIONERSIMPLE, PETSCPARTITIONERGATHER

Level:beginner
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages